Gentoo Archives: gentoo-commits

From: Andreas Sturmlechner <asturm@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/psi/
Date: Mon, 31 Jul 2017 21:24:29
Message-Id: 1501535946.e32db49b7a035c6794acab427c762a83a1ceaec9.asturm@gentoo
commit:     e32db49b7a035c6794acab427c762a83a1ceaec9
Author:     Sergey Ilinykh <rion4ik <AT> gmail <DOT> com>
AuthorDate: Mon Jul 31 19:29:40 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 21:19:06 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e32db49b

net-im/psi: 1.2 version bump, switch to Qt5

Gentoo-bug: 511462, 532170, 564446, 620772, 626216

Closes: https://github.com/gentoo/gentoo/pull/5219

 net-im/psi/Manifest        |   2 +
 net-im/psi/metadata.xml    |  27 ++++--
 net-im/psi/psi-1.2.ebuild  | 107 ++++++++++++++++++++++
 net-im/psi/psi-9999.ebuild | 222 ++++++++++++++++++++-------------------------
 4 files changed, 224 insertions(+), 134 deletions(-)

diff --git a/net-im/psi/Manifest b/net-im/psi/Manifest
index edd5f48f055..0657c8710cb 100644
--- a/net-im/psi/Manifest
+++ b/net-im/psi/Manifest
@@ -12,3 +12,5 @@ DIST psi-0.15_sl.qm 248478 SHA256 5be33716a12b297d609ec7493f9da21a23b3ab89303dc6
 DIST psi-0.15_sv.qm 246214 SHA256 fc5822011ada2b7452c9d15baf74c90e1a58e05536e9a7cc1d81e163f44d3ca2 SHA512 b8dd5e7692512af5ec302b5fee562feb68292988160d1c9e4fac951562bd8b30bc1f67f4d39bbd437eee84b14f6aefd83a8666f0e77d02b539d65e89aee7c1aa WHIRLPOOL 6078437c20881babb731d8915952b40d415e5cc01ab7431be1930fbe887289988abc7ef9a76e09254ad8519146bd94633eba69872bee7cdb504dfc3237f1c1d0
 DIST psi-0.15_ur_PK.qm 244903 SHA256 0101370007c9ce735c50dd9bf6dfd8680c5cd562a3213b960ee507367582b3e6 SHA512 df0786f1b625ecc3144bb9be0ce51558ae45901213405997b5f8ea3c791c64328b049a48a1b88372f7b0cb5bde3b795b306ad16847d91933eedc233f8dea8bc2 WHIRLPOOL 3dc2f807d5e1dce36609854e9360d9521a7fe36d61161a2c0cf195bf58e21a4efa9b8d977a6503f41588d8befb06ca678e6e629168c93f0ab90f0ec42ffe98a5
 DIST psi-0.15_zh_TW.qm 171993 SHA256 a68897a3fe5653b4ea9651a7dc05486aadc9327fcfa96ceae84a6cfbeed4187a SHA512 69b20e18f346af244f7cfd2bc447fcb934786f7ff3d85a16ac471e275c78fb36cfb2008368d81413dbfc6ed5bd4edba3c1ab8185dae72b8aeb9bfa29fde9c871 WHIRLPOOL 2dd1e8e724007248128d69ec9389014d482d38b64df3dbcb1a17c90b94d193d793b17769d78cd36fd15d8409f1eac44eca4a2d7739d885316754df5b557a7344
+DIST psi-1.2.tar.xz 2138940 SHA256 16ce1b767d40453032cd5d9ad5a9d4c6dba43989acc9a09538da3f74b7c614f5 SHA512 a486f6ee910cc17157849a68aa724608ddbeed319511646f6973a0789da192ec0fed7899024ad169c5b0e604372025dad7a58bacd223723d35ea490ec7f00b20 WHIRLPOOL 2a0f37067a085b3ce93864905367fa56584666bee6697bdae8f4eedd74cdf15f7be9eee85ba23440cb39a11e384e5ce7218a408042203fe70b398058a69b7867
+DIST psi-l10n-1.2.tar.gz 2992381 SHA256 8a16c2d67c0aafbaa296fe06cd6b7de5f32683487b10245b10e8baae63b8f789 SHA512 946b86d12e76fe9a44f1adc154140a02f3d575e57b5f67c8d95472241c6d4510d1b4be81d8914d5670b15ea8ad1b836aa63fc62c3de94e0091b39e2fb234a130 WHIRLPOOL 6cd52e0dcd76f7df3137055de9d9e4518b1adfb8d6f03e9af59e0a49b01933c400d15671b252ea529543eab8f14aae34be8432c43bb28d9233f57833c0517718

diff --git a/net-im/psi/metadata.xml b/net-im/psi/metadata.xml
index ca58cd3e904..952c3d3370d 100644
--- a/net-im/psi/metadata.xml
+++ b/net-im/psi/metadata.xml
@@ -1,16 +1,25 @@
 <?xml version='1.0' encoding='UTF-8'?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<!-- maintainer-needed -->
-	<longdescription>Psi is a very good jabber client that uses QT</longdescription>
+	<maintainer type="person">
+		<email>rion4ik@×××××.com</email>
+		<name>Sergey Ilinykh</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@g.o</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<longdescription>Psi is a very good XMPP client that uses QT</longdescription>
 	<use>
-		<flag name="enchant">Use enchant spell engine instead of aspell</flag>
-		<flag name="extras">Enables extra non official patches</flag>
-		<flag name="iconsets">Install additional iconsets, some of them has not clear licensing</flag>
-		<flag name="plugins">Enable plugins support</flag>
-		<flag name="powersave">Disable some non critical timers for much less CPU usage</flag>
-		<flag name="whiteboarding">Enable experimental interactive SVG drawing</flag>
-		<flag name="xscreensaver">Use X screensaver protocol extension to monitor idle/active status based on mouse/keyboard events</flag>
+		<flag name='aspell'>Enable spellchecking using <pkg>app-text/aspell</pkg></flag>
+		<flag name='enchant'>Enable spellchecking using <pkg>app-text/enchant</pkg></flag>
+		<flag name='extras'>Enable Psi+ patcheset</flag>
+		<flag name='hunspell'>Enable spellchecking using <pkg>app-text/hunspell</pkg></flag>
+		<flag name='iconsets'>Install additional iconsets, some of them has not clear licensing</flag>
+		<flag name='sql'>Enable psi-new-history extras patch</flag>
+		<flag name='webengine'>Use <pkg>dev-qt/qtwebengine</pkg> instead of <pkg>dev-qt/qtwebkit</pkg></flag>
+		<flag name='webkit'>Enable themed, html-based chatlogs</flag>
+		<flag name='whiteboarding'>Enable experimental interactive SVG drawing</flag>
 	</use>
 	<upstream>
 		<remote-id type="github">psi-im/psi</remote-id>

diff --git a/net-im/psi/psi-1.2.ebuild b/net-im/psi/psi-1.2.ebuild
new file mode 100644
index 00000000000..b575139d37f
--- /dev/null
+++ b/net-im/psi/psi-1.2.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PLOCALES="be bg ca cs de en eo es et fa fi fr he hu it ja kk mk nl pl pt pt_BR ru sk sl sr@latin sv sw uk ur_PK vi zh_CN zh_TW"
+PLOCALE_BACKUP="en"
+
+inherit l10n qmake-utils
+
+DESCRIPTION="Qt XMPP client"
+HOMEPAGE="http://psi-im.org/"
+
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz
+	https://github.com/psi-im/psi-l10n/archive/1.2.tar.gz -> psi-l10n-${PV}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="aspell crypt dbus debug doc enchant +hunspell ssl xscreensaver
+whiteboarding webengine webkit"
+
+# qconf generates not quite compatible configure scripts
+QA_CONFIGURE_OPTIONS=".*"
+
+REQUIRED_USE="
+	?? ( aspell enchant hunspell )
+	webengine? ( !webkit )
+"
+
+RDEPEND="
+	app-crypt/qca:2[qt5]
+	dev-qt/qtgui:5
+	dev-qt/qtxml:5
+	dev-qt/qtconcurrent:5
+	dev-qt/qtmultimedia:5
+	dev-qt/qtx11extras:5
+	net-dns/libidn
+	sys-libs/zlib[minizip]
+	aspell? ( app-text/aspell )
+	dbus? ( dev-qt/qtdbus:5 )
+	enchant? ( >=app-text/enchant-1.3.0 )
+	hunspell? ( app-text/hunspell:= )
+	webengine? ( >=dev-qt/qtwebengine-5.7:5[widgets] )
+	webkit? ( dev-qt/qtwebkit:5 )
+	whiteboarding? ( dev-qt/qtsvg:5 )
+	xscreensaver? ( x11-libs/libXScrnSaver )
+"
+DEPEND="${RDEPEND}
+	dev-qt/linguist-tools
+	virtual/pkgconfig
+	doc? ( app-doc/doxygen )
+"
+PDEPEND="
+	crypt? ( app-crypt/qca[gpg] )
+	ssl? ( app-crypt/qca:2[ssl] )
+"
+RESTRICT="test"
+
+src_configure() {
+	CONF=(
+		--no-separate-debug-info
+		--qtdir="$(qt5_get_bindir)/.."
+		$(use_enable aspell)
+		$(use_enable dbus qdbus)
+		$(use_enable enchant)
+		$(use_enable hunspell)
+		$(use_enable xscreensaver xss)
+		$(use_enable whiteboarding)
+	)
+
+	use debug && CONF+=("--debug")
+	use webengine && CONF+=("--enable-webkit" "--with-webkit=qtwebengine")
+	use webkit && CONF+=("--enable-webkit" "--with-webkit=qwebkit")
+
+	econf "${CONF[@]}"
+
+	eqmake5 psi.pro
+}
+
+src_compile() {
+	emake
+	use doc && emake -C doc api_public
+}
+
+src_install() {
+	emake INSTALL_ROOT="${D}" install
+
+	# this way the docs will be installed in the standard gentoo dir
+	rm "${ED}"/usr/share/psi/{COPYING,README} || die "Installed file set seems to be changed by upstream"
+	newdoc iconsets/roster/README README.roster
+	newdoc iconsets/system/README README.system
+	newdoc certs/README README.certs
+	dodoc README
+
+	local HTML_DOCS=( doc/api )
+	einstalldocs
+
+	# install translations
+	local mylrelease="$(qt5_get_bindir)"/lrelease
+	cd "${WORKDIR}/psi-l10n-${PV}" || die
+	insinto /usr/share/psi
+	install_locale() {
+		"${mylrelease}" "translations/${PN}_${1}.ts" || die "lrelease ${1} failed"
+		doins "translations/${PN}_${1}.qm"
+	}
+	l10n_for_each_locale_do install_locale
+}

diff --git a/net-im/psi/psi-9999.ebuild b/net-im/psi/psi-9999.ebuild
index 11222802e66..d08ddf5a62c 100644
--- a/net-im/psi/psi-9999.ebuild
+++ b/net-im/psi/psi-9999.ebuild
@@ -1,81 +1,81 @@
 # Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="4"
+EAPI=6
 
-LANGS="be bg ca cs de en eo es et fi fr hu it ja mk nl pl pt pt_BR ru sk sl sr@latin sv sw uk ur_PK vi zh_CN zh_TW"
+PLOCALES="be bg ca cs de en eo es et fa fi fr he hu it ja kk mk nl pl pt pt_BR ru sk sl sr@latin sv sw uk ur_PK vi zh_CN zh_TW"
+PLOCALE_BACKUP="en"
 
-EGIT_REPO_URI="https://github.com/psi-im/${PN}.git"
-EGIT_HAS_SUBMODULES=1
-LANGS_REPO_URI="https://github.com/psi-plus/psi-plus-l10n.git"
+inherit l10n git-r3 qmake-utils
 
-PSI_PLUS_URI="https://github.com/psi-plus/main.git"
-PSI_PLUS_RESOURCES_URI="https://github.com/psi-plus/resources.git"
-
-inherit eutils gnome2-utils qt4-r2 multilib git-2 subversion
-
-DESCRIPTION="Qt4 Jabber client, with Licq-like interface"
+DESCRIPTION="Qt XMPP client"
 HOMEPAGE="http://psi-im.org/"
+
+PSI_URI="https://github.com/psi-im"
+PSI_PLUS_URI="https://github.com/psi-plus"
+EGIT_REPO_URI="${PSI_URI}/${PN}.git"
+PSI_LANGS_URI="${PSI_URI}/psi-l10n.git"
+PSI_PLUS_LANGS_URI="${PSI_PLUS_URI}/psi-plus-l10n.git"
+EGIT_MIN_CLONE_TYPE="single"
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS=""
-IUSE="crypt dbus debug doc enchant extras jingle iconsets spell ssl xscreensaver powersave
-plugins whiteboarding"
+IUSE="aspell crypt dbus debug doc enchant extras +hunspell iconsets sql ssl xscreensaver
+whiteboarding webengine webkit"
+
+# qconf generates not quite compatible configure scripts
+QA_CONFIGURE_OPTIONS=".*"
 
 REQUIRED_USE="
+	?? ( aspell enchant hunspell )
 	iconsets? ( extras )
-	plugins? ( extras )
-	powersave? ( extras )
+	sql? ( extras )
+	webengine? ( !webkit )
 "
 
 RDEPEND="
-	app-arch/unzip
-	>=app-crypt/qca-2.0.2:2[qt4(+)]
-	dev-qt/qtcore:4
-	dev-qt/qtgui:4
-	>=sys-libs/zlib-1.2.5.1-r2[minizip]
-	x11-libs/libX11
-	dbus? ( dev-qt/qtdbus:4 )
-	spell? (
-		enchant? ( >=app-text/enchant-1.3.0 )
-		!enchant? ( app-text/aspell )
+	app-crypt/qca:2[qt5]
+	dev-qt/qtgui:5
+	dev-qt/qtxml:5
+	dev-qt/qtconcurrent:5
+	dev-qt/qtmultimedia:5
+	dev-qt/qtx11extras:5
+	net-dns/libidn
+	sys-libs/zlib[minizip]
+	aspell? ( app-text/aspell )
+	dbus? ( dev-qt/qtdbus:5 )
+	enchant? ( >=app-text/enchant-1.3.0 )
+	extras? (
+		sql? ( dev-qt/qtsql:5 )
 	)
-	whiteboarding? ( dev-qt/qtsvg:4 )
+	hunspell? ( app-text/hunspell:= )
+	webengine? ( >=dev-qt/qtwebengine-5.7:5[widgets] )
+	webkit? ( dev-qt/qtwebkit:5 )
+	whiteboarding? ( dev-qt/qtsvg:5 )
 	xscreensaver? ( x11-libs/libXScrnSaver )
 "
 DEPEND="${RDEPEND}
+	dev-qt/linguist-tools
+	virtual/pkgconfig
+	doc? ( app-doc/doxygen )
 	extras? (
-		${SUBVERSION_DEPEND}
-		sys-devel/qconf[qt4(+)]
+		>=sys-devel/qconf-2.3
 	)
-	doc? ( app-doc/doxygen )
-	virtual/pkgconfig
 "
 PDEPEND="
-	crypt? ( app-crypt/qca:2[gpg] )
-	jingle? (
-		net-im/psimedia
-		app-crypt/qca:2[ssl]
-	)
+	crypt? ( app-crypt/qca[gpg] )
 	ssl? ( app-crypt/qca:2[ssl] )
 "
-RESTRICT="test"
+RESTRICT="test iconsets? ( bindist )"
 
 pkg_setup() {
 	MY_PN=psi
 	if use extras; then
 		MY_PN=psi-plus
 		echo
-		ewarn "You're about to build heavily patched version of Psi called Psi+."
-		ewarn "It has really nice features but still is under heavy development."
-		ewarn "Take a look at homepage for more info: https://code.google.com/p/psi-dev"
-		ewarn "If you wish to disable some patches just put"
-		ewarn "MY_EPATCH_EXCLUDE=\"list of patches\""
-		ewarn "into /etc/portage/env/${CATEGORY}/${PN} file."
-		echo
-		ewarn "Note: some patches depend on other. So if you disabled some patch"
-		ewarn "and other started to fail to apply, you'll have to disable patches"
-		ewarn "that fail too."
+		ewarn "You're about to build patched version of Psi called Psi+."
+		ewarn "It has new nice features not yet included to Psi."
+		ewarn "Take a look at homepage for more info: http://psi-plus.com/"
 		echo
 
 		if use iconsets; then
@@ -88,124 +88,96 @@ pkg_setup() {
 }
 
 src_unpack() {
-	git-2_src_unpack
-	unset EGIT_HAS_SUBMODULES EGIT_NONBARE
+	git-r3_src_unpack
 
 	# fetch translations
-	mkdir "${WORKDIR}/psi-l10n"
-	unset EGIT_MASTER EGIT_BRANCH EGIT_COMMIT
-	EGIT_REPO_URI="${LANGS_REPO_URI}" \
-	EGIT_SOURCEDIR="${WORKDIR}/psi-l10n" git-2_src_unpack
+	unset EGIT_BRANCH EGIT_COMMIT
+	EGIT_REPO_URI=$(usex extras "${PSI_PLUS_LANGS_URI}" "${PSI_LANGS_URI}")
+	EGIT_CHECKOUT_DIR="${WORKDIR}/psi-l10n"
+	git-r3_src_unpack
 
 	if use extras; then
-		EGIT_DIR="${EGIT_STORE_DIR}/psi-plus/main" \
-		EGIT_SOURCEDIR="${WORKDIR}/psi-plus" \
-		EGIT_REPO_URI="${PSI_PLUS_URI}" git-2_src_unpack
+		unset EGIT_BRANCH EGIT_COMMIT
+		EGIT_CHECKOUT_DIR="${WORKDIR}/psi-plus" \
+		EGIT_REPO_URI="${PSI_PLUS_URI}/main.git" \
+		git-r3_src_unpack
+
 		if use iconsets; then
-			EGIT_DIR="${EGIT_STORE_DIR}/psi-plus/resources" \
-			EGIT_SOURCEDIR="${WORKDIR}/resources" \
-			EGIT_REPO_URI="${PSI_PLUS_RESOURCES_URI}" git-2_src_unpack
+			unset EGIT_BRANCH EGIT_COMMIT
+			EGIT_CHECKOUT_DIR="${WORKDIR}/resources" \
+			EGIT_REPO_URI="${PSI_PLUS_URI}/resources.git" \
+			git-r3_src_unpack
 		fi
 	fi
 }
 
 src_prepare() {
+	default
 	if use extras; then
 		cp -a "${WORKDIR}/psi-plus/iconsets" "${S}" || die "failed to copy iconsets"
-		use iconsets && { cp -a "${WORKDIR}/resources/iconsets" "${S}" || \
-			die	"failed to copy additional iconsets"; }
-		EPATCH_EXCLUDE="${MY_EPATCH_EXCLUDE} " \
-		EPATCH_SOURCE="${WORKDIR}/psi-plus/patches/" EPATCH_SUFFIX="diff" EPATCH_FORCE="yes" epatch
+		if use iconsets; then
+			cp -a "${WORKDIR}/resources/iconsets" "${S}" || die "failed to copy additional iconsets"
+		fi
 
-		use powersave && epatch "${WORKDIR}/psi-plus/patches/dev/psi-reduce-power-consumption.patch"
+		eapply "${WORKDIR}/psi-plus/patches"/*.diff
+		use sql && eapply "${PATCHES_DIR}/dev/psi-new-history.patch"
 
-		sed -e "s/.xxx/.$(cd "${WORKDIR}/psi-plus"; echo $((`git describe --tags | \
-			cut -d - -f 2`+5000)))/" -i src/applicationinfo.cpp || die "sed failed"
+		vergen="${WORKDIR}/psi-plus/admin/psi-plus-nightly-version"
+		features="$(use webkit && echo '--webkit') $(use webengine && echo '--webengine') $(use sql && echo '--sql')"
+		NIGHTLY_VER=$("${vergen}" ./ $features)
+		elog "Prepared version: ${NIGHTLY_VER}"
+		echo "${NIGHTLY_VER}" > version || die "Failed to write version file"
 
 		qconf || die "Failed to create ./configure."
 	fi
 }
 
 src_configure() {
-	# unable to use econf because of non-standard configure script
-	# disable growl as it is a MacOS X extension only
-	local myconf="
-		--prefix="${EPREFIX}"/usr
-		--qtdir="${EPREFIX}"/usr
-		--disable-growl
+	CONF=(
 		--no-separate-debug-info
-	"
-	use dbus || myconf+=" --disable-qdbus"
-	use debug && myconf+=" --debug"
-	if use spell; then
-		use enchant && myconf+=" --disable-aspell" || myconf+=" --disable-enchant"
-	else
-		myconf+=" --disable-aspell --disable-enchant"
-	fi
-	use whiteboarding && myconf+=" --enable-whiteboarding"
-	use xscreensaver || myconf+=" --disable-xss"
-	if use extras; then
-		use plugins && myconf+=" --enable-plugins"
-	fi
+		--qtdir="$(qt5_get_bindir)/.."
+		$(use_enable aspell)
+		$(use_enable dbus qdbus)
+		$(use_enable enchant)
+		$(use_enable hunspell)
+		$(use_enable xscreensaver xss)
+		$(use_enable whiteboarding)
+	)
+
+	use debug && CONF+=("--debug")
+	use webengine && CONF+=("--enable-webkit" "--with-webkit=qtwebengine")
+	use webkit && CONF+=("--enable-webkit" "--with-webkit=qwebkit")
 
-	einfo "./configure ${myconf}"
-	./configure ${myconf} || die
+	econf "${CONF[@]}"
 
-	eqmake4
+	eqmake5 psi.pro
 }
 
 src_compile() {
 	emake
-
-	if use doc; then
-		cd doc
-		mkdir -p api # 259632
-		make api_public || die "make api_public failed"
-	fi
+	use doc && emake -C doc api_public
 }
 
 src_install() {
 	emake INSTALL_ROOT="${D}" install
 
 	# this way the docs will be installed in the standard gentoo dir
-	rm -f "${ED}"/usr/share/${MY_PN}/{COPYING,README}
+	rm "${ED}"/usr/share/${MY_PN}/{COPYING,README} || die "Installed file set seems to be changed by upstream"
 	newdoc iconsets/roster/README README.roster
 	newdoc iconsets/system/README README.system
 	newdoc certs/README README.certs
 	dodoc README
 
-	if use extras && use plugins; then
-		insinto /usr/share/${MY_PN}/plugins
-		doins src/plugins/plugins.pri
-		doins src/plugins/psiplugin.pri
-		doins -r src/plugins/include
-		sed -i -e "s:target.path.*:target.path = /usr/$(get_libdir)/${MY_PN}/plugins:" \
-			"${ED}"/usr/share/${MY_PN}/plugins/psiplugin.pri \
-			|| die "sed failed"
-	fi
-
-	use doc && dohtml -r doc/api
+	local HTML_DOCS=( doc/api )
+	einstalldocs
 
 	# install translations
-	cd "${WORKDIR}/psi-l10n/translations"
+	local mylrelease="$(qt5_get_bindir)"/lrelease
+	cd "${WORKDIR}/psi-l10n" || die
 	insinto /usr/share/${MY_PN}
-	for x in ${LANGS}; do
-		if use linguas_${x}; then
-			lrelease "${PN}_${x}.ts" || die "lrelease ${x} failed"
-			doins "${PN}_${x}.qm"
-		fi
-	done
-}
-
-pkg_preinst() {
-	gnome2_icon_savelist
-}
-
-pkg_postinst() {
-	readme.gentoo_pkg_postinst
-	gnome2_icon_cache_update
-}
-
-pkg_postrm() {
-	gnome2_icon_cache_update
+	install_locale() {
+		"${mylrelease}" "translations/${PN}_${1}.ts" || die "lrelease ${1} failed"
+		doins "translations/${PN}_${1}.qm"
+	}
+	l10n_for_each_locale_do install_locale
 }